/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* externals ****************************************************************/

/* global prototypes *******************************************************/
void xplab_dc_init(void);
void xplab_dc_exit(void);
void dc_source_rb(char *dc_name, rb_lst source_rb);
void dc_source_pic(char *dc_name, pic_def source_pic, int source_type);
void dc_source_pattern_rb(char *dc_name, cand_lst source_cand);
void dc_source_pattern_nb(char *dc_name, cand_lst source_cand, 
			  cls_def *source_cls);
void dc_source_mrb(char *dc_name, rb_lst source_mrb);
void dc_source_hline(char *dc_name, int_lst source_hline);
void xdc_source_all(char *dc_name, rb_lst src_rb, rb_lst src_mrb, 
		    cand_lst src_cand, cls_def *src_cls, int_lst src_hline);
void dc_source_double(char *dc_name, double_lst source_fctn, int source_type,
		      char *subject);
void dc_source_fft(char *dc_name, fft_def source_fft, int source_type,
		   char *subject);
void dc_source_pic_dbl(char *dc_name, pic_dbl source_dpic, int source_type);
/***************************************************************************/

