/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* externals ****************************************************************/
extern prog_ctrl xctrl;

/* global prototypes ********************************************************/
void xplab_preferences_menu(GtkWidget *file_menu, GtkWidget **caller);
cli_def xplab_init_preferences(int argc, char *argv[]);
void xplab_free_preferences(void);
void xplab_preferences_menu_tpsid(GtkWidget *file_menu);
void xplab_preferences_menu_unload(GtkWidget *file_menu);
int xplab_input_image(char *fname);
int xplab_release_image(PNM_FORMAT fmt, int *key, int verbose);
int xplab_release_db(int *key, int verbose);
int xplab_input_db(char *dname);
int xplab_update_session(img_typ simg, int key, char *sfilename);
int xplab_update_db(db_def in_db, int key);
int xreport(const char *fmt, ...);
char *xplab_vsnprintf(const char *fmt, ...);
PNM_FORMAT xplab_image_loaded(void);
db_def xplab_request_db(char *caller_string, int *key, XPLAB_DB db_access, void *bc_ptr);
img_typ xplab_request_image(PNM_FORMAT fmt, char *caller_string, int *key, int write_access, void *bc_ptr);
stats_win xplab_request_stats_prefs(STATS_FORMAT fmt);
/***************************************************************************/
