/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes ********************************************************/
GdkPixbuf *xplab_logo(void);
void temporary_filename(char **fname);
void clear_gtk_text(GtkWidget *gtxt);
void dump_gtk_text(GtkWidget *gtxt, char *fname);
void int_to_entry(GtkEntry *entry, char *prefix, int in_num, char *suffix);
char *print_time_difference(time_t start);
void int_to_label(GtkWidget *label, char *prefix, int in_num, char *suffix);
void string_to_label(GtkWidget *label, char *prefix, char *text, char *suffix);
void start_run_def(run_def *crun);
void stop_run_def(run_def *crun);
GtkWidget *xplab_progress(GtkWidget *box);
void xplab_progress_configure(run_def *crun, const gchar *format_string);
void xplab_progress_set_value(run_def *crun, gdouble xnom, gdouble xdenom);
void xplab_label_set_text(GtkWidget *label, const gchar *str);
char *xplab_string_message(int flag);
char *xplab_parse_string(char *in_string, int *flag, guint slen);
void cb_class_entry_clear_all(GTK_CONVENTION_BUTTON_RTS_VOID);
gboolean xplab_window_raise(GtkWidget **widget, int raise);
void xplab_widget_destroy(GtkWidget **widget);
int xplab_string_usage(int flag);
void string_to_log(GtkWidget *ilog, char *prefix, const char *log_string, char *suffix);
void int_to_log(GtkWidget *ilog, char *prefix, int in_num, char *suffix);
void time_to_log(GtkWidget *ilog, char *prefix, time_t start_time, char *suffix);
void double_to_log(char *prefix, double in_num, char *suffix);
gbutton_def xset_clicked_button(GtkWidget *box_in, GtkSignalFunc button_cb, gchar *button_label, const gchar *tip_text, const gchar *tip_private, gpointer gp);
gbutton_def xset_toggled_button(GtkWidget *box_in, GtkSignalFunc button_cb, gchar *button_label, const gchar *tip_text, const gchar *tip_private, gpointer gp);
GtkWidget *scrolled_text(GtkWidget *inbox);
GtkWidget *file_menu_item_log(GtkWidget *file_menu, GtkSignalFunc dump_cb, 
			      GtkWidget **log_dump, GtkSignalFunc clear_cb, 
			      GtkWidget **log_clear, 
			      GtkSignalFunc default_cb);
void dump_main_log_text(GtkWidget *ilog, const char *txt, char *fname);
void  xplab_set_window_icon(GtkWidget *gtk_window);
gboolean tree_model_search_strings(GTK_CONVENTION_GtkTreeModelForeachFunc_RTS_GBOOLEAN);
gboolean filter_event_type(GdkEvent *event, gint event_enum);
/***************************************************************************/
