/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes *******************************************************/
int check_aux(tps_lst tpl, int clear);
void xdefault_media_att(media_att *med);
int search_tps_id(char **ident, tps_lst tpl);
void cat_cls_lst(cls_lst src, cls_lst *dst);
int search_class(const char *class, cls_lst cl);
int compare_bmp(nb_def nb1, nb_def nb2);
pic_def xplab_sample_image(cls_def cls, int form_width, int space_x, int space_y);
int coordinates_to_index(cls_def cls, int x, int y);
int id_col_nb(nb_lst nbl, int space_x, int space_y, area_def *ar_out);
void cat_cls_def(cls_def src, cls_lst *dst, int inhibit_dst, int *new_cnr, 
		 int *new_nnr);
int erase_nb_def(cls_lst clst, int cnr, int nnr, int *deleted_nb, int vflag);
int create_tps_def(tps_lst *tpl, char **ident);
void ref_pair(cls_lst clst, int cls_from, int cls_to, int nb_from, int nb_to);
int unref_indexes(cls_lst clst, int *deleted_nb);
int pref_nb_chn_lst(nb_chn_lst ncl, int cls_from, int cls_to, int nb_from, int nb_to);
void delete_nb_chn_def(nb_chn_lst *ncl, int ncd_nr);
int nref_nb_chn_lst(nb_chn_lst ncl, int cnr, int nb_from, int nb_to);
void check_message_nb(char *prefix, int tps_idx, int cls_idx, int nb_idx, char **string_out);
void check_message_class(char *prefix, int tps_idx, int cls_idx, char **string_out);
void check_message_tps(char *prefix, int tps_idx, char **string_out);
void xprint_rb(col_def *pixbuf, pic_def mark_img, pattern_color col, sector_def sec, int outside_unchanged);
gchar *xplab_to_utf(const gchar *itxt);
/***************************************************************************/

