/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes *******************************************************/
cand_lst xtiled_pattern_matching(match_def mat, int single_line, 
				 rb_lst rblst, tiles_def rcl, cls_lst clst, 
				 img_typ *rpic, char *ident, 
				 char *filename, int fdomain, 
				 RB_CHAIN_BIT rb_flag, run_def *crun, 
				 int single_nb, MATCHING_METHOD mtd);
cand_lst xpattern_matching(match_def mat, int single_line, rb_lst rblst, 
			   cls_lst clst, pic_def *rpic, int fdomain, 
			   run_def *crun, int single_nb, MATCHING_METHOD mtd);
tiles_def rb_chain_list(cls_lst cls, rb_lst rblst, int size,
			pic_def *rpic, RB_CHAIN_BIT rb_flag, int match, 
			int ext, char *filename, int rawbit, run_def *crun);
void gen_class_references(cls_lst clst, int mask_border, int maskweight);
void reset_rb_lst(rb_lst rblst);
pic_def xextend_image(pic_def in, int spcg_w, int spcg_h);
int xcount_contours(pic_def rpic, sector_def sec, PIXEL_KEY key, int n4);
int xcontour_mark(pic_def shdw, sector_def fr, PICT from, PICT to, 
		  int bot_up, int n4);
int xcontour_mark_from_start(pic_def shdw, sector_def fr, PICT to, 
			     c_def start, int n4);
int set_h_contour(h_contour_lst ctr, PICT from, PICT to, pic_def pic);
area_def max_cls_area(cls_lst cl);
int check_recall_resources(db_def db, char *tps_id, char *image_filename, 
			   pic_def rpic, rb_lst rbl);
void xrecognition_out(rb_lst rblst, cand_lst hit_lst, tps_def nbl, 
		      int mborder, int nborder, pic_def rpic, 
		      char *filename,
		      INLINE_METHOD line_method, run_def *crun, 
		      GtkWidget *ilog, int renew);
/***************************************************************************/
