/*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes *******************************************************/
char *print_report_rbs(rb_lst rblst);
int_lst check_quality(rb_lst rblst, cls_lst cl, cand_lst hlist, int terse);
void print_hitlist(area_def par, int noise_border, int mask_border, 
		   cand_lst hlist, cls_def *cls);
void dump_double(double *in, int cnt, char *fname, char *msg, 
		 const char *rem, const char *subject);
void dump_int(int *in, int cnt, char *fname);
void write_histo(hst_def histo, int start_bin_index, char *hname, char *rem);
char *print_mini_statistic(char *preview, int_lst mst);
void histo_of_line(int_lst dlst, int line, char *ltxt, char *filename, 
		   int docu);
void write_sep_info(int_lst dlst, int_lst znr, cand_lst hlist, cls_def *cls, 
                    int lcnt, char *filename, int docu);
void write_hst_line(char *id, hst_info info, int line, char *patt, 
		    char *filename, int iter, int docu);
hst_info grab_infos(int_lst old, double mv, double sd);
/***************************************************************************/

