 /*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global prototypes *******************************************************/

gboolean cb_delete(GTK_CONVENTION_WINDOW_DELETE_RTS_GBOOLEAN);
gboolean cb_expose(GTK_CONVENTION_DIALOG_EXPOSE_RTS_GBOOLEAN);

void rebuild_drawing(bc_img *image_data_path, GtkSignalFunc mouse_cb, 
		     GtkSignalFunc expose_cb);
gboolean stats_request_formats(bc_img *bci, GtkWidget **bc_widget, 
			       char *request_comment);
void attach_icon(GtkWidget *table, guint left_attach, guint right_attach, 
		 guint top_attach, guint bottom_attach, int icon_size_x, 
		 int icon_size_y, int icon_border, GtkSignalFunc button_cb, 
		 GtkSignalFunc enter_cb, GtkSignalFunc leave_cb,
		 GtkWidget **bc_widget, bc_img *image_data_path, 
		 gboolean has_aspect, gboolean max_contrast, 
		 char *preview_name, STATS_FORMAT fmt, 
		 stats_win *do_original);
GtkWidget *popup_root(bc_img *image_data);
void stats_release_image(bc_img *bci, gboolean keep_request);

/***************************************************************************/
