 /*****************************************************************************
This is a Pattern Recognition program
Copyright (C) 2006  Elmar Sack

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.

Elmar.Sack@mnet-online.de
*****************************************************************************/

/* global definitions *******************************************************/
#define XPLAB_STATISTIC_TITLE_ITEM "statistic"

/* global prototypes *******************************************************/

void xplab_statistic_menu(GtkWidget *menu_bar, GtkWidget **caller);
void xplab_init_statistic(void);
void xplab_free_statistic(void);
gint cb_statistic_delete_all(GTK_CONVENTION_WINDOW_DELETE_RTS_GBOOLEAN);
void cb_statistic_quit_all(GTK_CONVENTION_MENUITEM_RTS_VOID);
gboolean cb_image(GTK_CONVENTION_BUTTON_PRESS_RTS_GBOOLEAN);
void cb_dump_histo(GTK_CONVENTION_MENUITEM_RTS_VOID);
void stats_window(bc_img *image_data, const gchar *wname, gboolean del, 
		  area_def far);
void format_stats_histo_color(bc_img *bci, GtkWidget **bc_widget, 
			      char *request_comment, gboolean keep_request);
void format_stats_histo_bmp(bc_img *bci, GtkWidget **bc_widget, 
			    char *request_comment, gboolean keep_request);
void format_stats_histo_rbs(bc_img *bci);
/***************************************************************************/
